{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
  <link rel="icon" href="{% static 'images/logo-head.PNG' %}"> 	
<meta http-equiv="Content-Type" content="text/html"; charset="utf-8"/>
	<meta name="viewport" content="width=device-width, initial-scale=1"/>
<style>
#chartdiv {
  width: 100%;
  height: 600px;
}

</style>
<script src="https://www.amcharts.com/lib/4/core.js"></script>
<script src="https://www.amcharts.com/lib/4/charts.js"></script>
<script src="https://www.amcharts.com/lib/4/themes/kelly.js"></script>
<script src="https://www.amcharts.com/lib/4/themes/animated.js"></script>
<script>
var id={{id|safe}}
var mentions_screen_name={{mentions_screen_name|safe}}
am4core.ready(function() {
am4core.useTheme(am4themes_kelly);
am4core.useTheme(am4themes_animated);
var chart = am4core.create("chartdiv", am4charts.XYChart);
chart.hiddenState.properties.opacity = 0; // this creates initial fade-in
chart.paddingRight = 0;
chart.paddingTop=40;
chart.paddingLeft=20
chart.svgContainer.htmlElement.style.height="800px"

chart.data =mentions_screen_name
var categoryAxis = chart.yAxes.push(new am4charts.CategoryAxis());
categoryAxis.dataFields.category = "name";
categoryAxis.renderer.grid.template.strokeOpacity = 0;
categoryAxis.renderer.minGridDistance = 10;
categoryAxis.renderer.labels.template.dx = -40;
categoryAxis.renderer.minWidth = 120;
categoryAxis.renderer.tooltip.dx = 40;

var valueAxis = chart.xAxes.push(new am4charts.ValueAxis());
valueAxis.renderer.inside = true;
valueAxis.renderer.labels.template.fillOpacity = 0.3;
valueAxis.renderer.grid.template.strokeOpacity = 0;
valueAxis.min = 0;
valueAxis.cursorTooltipEnabled = false	;
valueAxis.renderer.baseGrid.strokeOpacity = 0;
valueAxis.renderer.labels.template.dy = 20;

var series = chart.series.push(new am4charts.ColumnSeries);
series.dataFields.valueX = "steps";
series.dataFields.categoryY = "name";
series.tooltipText = "{valueX.value}";
series.tooltip.pointerOrientation = "vertical";
series.tooltip.dy = - 30;
series.columnsContainer.zIndex = 100;
series.columnsContainer.cursorOverStyle = am4core.MouseCursorStyle.pointer;

series.columns.template.events.on("hit", function(ev) {
window.open('https://twitter.com/'+ev.target.dataItem.dataContext.name)
 src="http://34.66.198.6/"+id+"/timeline/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/mentions/"+ev.target.dataItem.dataContext.name+"/"
parent.loadIframe("timeline",src)
src="http://34.66.198.6:3838/?id="+id+"&min="+parseInt(parent.min).toString()+"&max="+parseInt(parent.max).toString()+"&top=mentions"+"&word="+ev.target.dataItem.dataContext.name+"&skip=0"
parent.loadIframe("chirp",src)
src="http://34.66.198.6/"+id+"/sentiment_trend/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/mentions/"+ev.target.dataItem.dataContext.name+"/automatic/"
parent.loadIframe("sentiment_trend",src)
src="http://34.66.198.6/"+id+"/map/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/mentions/"+ev.target.dataItem.dataContext.name+"/"
parent.loadIframe("map",src)
src="http://34.66.198.6/"+id+"/account/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/mentions/"+ev.target.dataItem.dataContext.name+"/"
parent.loadIframe("account",src)
src="http://34.66.198.6/"+id+"/adopter/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/mentions/"+ev.target.dataItem.dataContext.name+"/"
parent.loadIframe("adopter",src)

src="http://34.66.198.6/"+id+"/hashtags/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/mentions/"+ev.target.dataItem.dataContext.name+"/"
parent.loadIframe("hashtags",src)
src="http://34.66.198.6/"+id+"/screen_name/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/mentions/"+ev.target.dataItem.dataContext.name+"/"
parent.loadIframe("screen_name",src)
src="http://34.66.198.6/"+id+"/sentiments/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/mentions/"+ev.target.dataItem.dataContext.name+"/"
parent.loadIframe("sentiments",src)
src="http://34.66.198.6/"+id+"/twitter/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/All/"+parent.document.getElementById("sel").value+"/mentions/"+ev.target.dataItem.dataContext.name+"/"
parent.loadIframe("twitter",src)
src="http://34.66.198.6/"+id+"/word/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/All/"+parent.document.getElementById("sel").value+"/mentions/"+ev.target.dataItem.dataContext.name+"/"
parent.loadIframe("word-cloud",src)
parent.loadIframe("word-assoc","http://34.66.198.6/"+id+"/word/0/999999999999999/All/all/top/top/_")


}, this);
// Set cell size in pixels


var columnTemplate = series.columns.template;
columnTemplate.height = am4core.percent(100);
columnTemplate.maxHeight = 20;
columnTemplate.column.cornerRadius(60, 10, 60, 10);
columnTemplate.strokeOpacity = 0;
columnTemplate.fill="rgb(124,181,236)"

series.mainContainer.mask = undefined;

var cursor = new am4charts.XYCursor();
chart.cursor = cursor;
cursor.lineX.disabled = true;
cursor.lineY.disabled = true;
cursor.behavior = "none";

var bullet = columnTemplate.createChild(am4charts.CircleBullet);
bullet.circle.radius = 25;
bullet.valign = "middle";
bullet.align = "left";
bullet.isMeasured = true;
bullet.interactionsEnabled = false;
bullet.horizontalCenter = "middle";
bullet.interactionsEnabled = false;

var hoverState = bullet.states.create("hover");
hoverState.cursorOverStyle=am4core.MouseCursorStyle.pointer	

var outlineCircle = bullet.createChild(am4core.Circle);
outlineCircle.adapter.add("radius", function (radius, target) {
    var circleBullet = target.parent;
    return circleBullet.circle.pixelRadius+5;
})

var image = bullet.createChild(am4core.Image);
image.width = 48;
image.height = 48;
image.horizontalCenter = "middle";
image.verticalCenter = "middle";
image.propertyFields.href = "href";

image.adapter.add("mask", function (mask, target) {
    var circleBullet = target.parent;
    return circleBullet.circle;
})

var previousBullet;
chart.cursor.events.on("cursorpositionchanged", function (event) {
    var dataItem = series.tooltipDataItem;

    if (dataItem.column) {
        var bullet = dataItem.column.children.getIndex(1);

        if (previousBullet && previousBullet != bullet) {
            previousBullet.isHover = false;
        }

        if (previousBullet != bullet) {

            var hs = bullet.states.getKey("hover");
            hs.properties.dx = dataItem.column.pixelWidth;
            bullet.isHover = true;

            previousBullet = bullet;
        }
    }
})

});
</script>
		
</head>
<body bgcolor="#ffffff">
<p data-mlr-text style="position: absolute; font-size: 18px; white-space: nowrap; margin-left: 0px; margin-top: 0px; left: 250px; top: 7px; color: rgb(51, 51, 51);">أبرز 10 مغردین مذكورین</p>
<div id="chartdiv"></div>

<script src="{% static 'js/lang.js'%}"></script> 
</body>
</html>
